package org.gcube.portlets.user.accountingdashboard.shared.data;

import java.io.Serializable;
import java.util.Comparator;

/**
 * 
 * @author Giancarlo Panichi
 *
 *
 */
public class TreatmentData implements Serializable, Comparator<TreatmentData>, Comparable<TreatmentData> {

	private static final long serialVersionUID = -8445665293115680236L;
	private int id;
	private String treatmentType;
	private Integer numberOfTreatments;

	public TreatmentData() {
		super();
	}

	public TreatmentData(int id, String treatmentType, Integer numberOfTreatments) {
		super();
		this.id = id;
		this.treatmentType = treatmentType;
		this.numberOfTreatments = numberOfTreatments;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getTreatmentType() {
		return treatmentType;
	}

	public void setTreatmentType(String treatmentType) {
		this.treatmentType = treatmentType;
	}

	public Integer getNumberOfTreatments() {
		return numberOfTreatments;
	}

	public void setNumberOfTreatments(Integer numberOfTreatments) {
		this.numberOfTreatments = numberOfTreatments;
	}

	@Override
	public int compare(TreatmentData o1, TreatmentData o2) {
		if (o1 == null) {
			return -1;
		} else {
			if (o2 == null) {
				return 1;
			} else {
				return (o1.getId() < o2.getId()) ? -1 : ((o1.getId() == o2.getId()) ? 0 : 1);

			}
		}
	}

	@Override
	public int compareTo(TreatmentData o) {
		return compare(this, o);
	}

	@Override
	public String toString() {
		return "TreatmentData [id=" + id + ", treatmentType=" + treatmentType + ", numberOfTreatments="
				+ numberOfTreatments + "]";
	}

}